/* typesize.c - 打印类型大小 */
#include <stdio.h>

int main(void)
{
    // %zd 用于打印size_t类型的值。sizeof(int) 返回一个 size_t 类型的值，表示 int 类型变量的大小（以字节为单位）。
    printf("Type int has a size of %zd bytes.\n", sizeof(int));
    printf("Type char has a size of %zd bytes.\n", sizeof(char));
    printf("Type long has a size of %zd bytes.\n", sizeof(long));
    printf("Type long long has a size of %zd bytes.\n", sizeof(long long));
    printf("Type double has a size of %zd bytes.\n", sizeof(double));
    printf("Type long double has a size of %zd bytes.\n", sizeof(long double));
    
    return 0;
}